require "sketchup.rb"

module SLBTest
  def self.all_but_solids
    sel = Sketchup.active_model.selection
    sel.clear
    Sketchup.active_model.entities.each {|ent|
      unless ((ent.instance_of?(Sketchup::Group) || ent.instance_of?(Sketchup::ComponentInstance)) && ent.manifold?)
        sel.add ent
      end
    }
  end

  def self.only_solids
     sel = Sketchup.active_model.selection
    sel.clear
    Sketchup.active_model.entities.each {|ent|
      if ((ent.instance_of?(Sketchup::Group) || ent.instance_of?(Sketchup::ComponentInstance)) && ent.manifold?)
        sel.add ent
      end
    }
  end   
end
